Closed Bug 1023835 Opened 6 years ago Closed 6 years ago

Plugin Check reports Java 7 Update 55 plugin as up-to-date when Java 7 Update 60 is the latest version

Categories

(Websites :: plugins.mozilla.org, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: richlaughlin, Assigned: espressive)

Details

Attachments

(2 files)

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:30.0) Gecko/20100101 Firefox/30.0 (Beta/Release)
Build ID: 20140605174243

Steps to reproduce:

Fire up the plugin check.


Actual results:

It reports that Java Runtime EnvironmentNext Generation Java Plug-in 10.55.2 for Mozilla browsers	is up to date


Expected results:

It is not up to date, as the "Up to date" green button link sends me to the java site and invites me to install a newer version

please note, i appreciate the out-of-date version may not be vulnerable (i have raised a separate bug for vulnerable plugins not being reported) but it is still out-of-date.

 this is Firefox 30.0
I see this in both Firefox 29 and Firefox 30. Related discussion:
https://support.mozilla.org/en-US/questions/991063#answer-585086

The Plugin Check webpage in Firefox 29.0.1 (see attachment) shows the following:
Java(TM) Platform SE 7 U55 Up to Date
Next Generation Java Plug-in 10.55.2 for Mozilla browsers 10.55.2.14

on Firefox 30, I see:
Java Runtime Environment Up to Date
Next Generation Java Plug-in 10.55.2 for Mozilla browsers 10.55.2.14

The "Up to Date" link goes to http://www.java.com/en/download/manual.jsp which shows
"Recommended Version 7 Update 60"
Status: UNCONFIRMED → NEW
Ever confirmed: true
Summary: Plugin Check falsely reporting a plugin is up-to-date → Plugin Check reports Java 7 Update 55 plugin as up-to-date when Java 7 Update 60 is the latest version
Here's a screenshot for Firefox 30
Assignee: nobody → schalk.neethling.bugs
I have updated the database, setting .60 as latest but, only marking .55 as out of date as I cannot find an advisory that indicates that it is vulnerable.
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Doesn't appear to be fixed to me, it is still saying up-to-date when it isn't.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(In reply to rml123 from comment #5)
> Doesn't appear to be fixed to me, it is still saying up-to-date when it
> isn't.

So, this might just be because the distinction on the page is not clear (something I am working on to clarify) and that it, update 55 is still valid (although not the very latest) so, it will not prompt you to update as the release is not vulnerable.

With that said, in my optimisation work of the UI and what is displayed, these version will go under a heading stating outdated with a button merely stating 'Update' which will take you to the download page.

For now however, I am going to close this bug again as fixed but, will reference the bug to improve the UI here.
Status: REOPENED → RESOLVED
Closed: 6 years ago6 years ago
Resolution: --- → FIXED
Now it has changed to say red button "Update Now" (correct) and IS vulnerable (incorrect). However if you are working on a new status as a separate issue, for example, green Update Now button with status "out of date", then i'm happy to leave this as resolved, thanks ...
(In reply to rml123 from comment #7)
> Now it has changed to say red button "Update Now" (correct) and IS
> vulnerable (incorrect). However if you are working on a new status as a
> separate issue, for example, green Update Now button with status "out of
> date", then i'm happy to leave this as resolved, thanks ...

I am indeed, here is the bug for reference https://bugzilla.mozilla.org/show_bug.cgi?id=1024625
Hi I won't re-open this as i presume it is still being worked on, but just to report that in ff v31.0, the problem is still occurring in that I have java version Java(TM) Platform SE 7 U65 and a green "up-to-date" button but the green button links to a new version (7-67)
You need to log in before you can comment on or make changes to this bug.